-- Agrupar por: Municipio, UF, QtdDipensada mes, mes competencia, 
SELECT
-- mes-ano
NU_COMPETENCIA_DISPENSACAO,
-- Dados do Produto
NU_CATMAT, MIN(VL_UNITARIO) AS VL_UNITARIO, SUM(QT_DISPENSACAO) AS MONTANTE_DISPENSADA,
-- Financeiro do Produto
CO_GRUPO_FINANCIAMENTO,
-- Programa do Produto
SG_PROGRAMA_SAUDE,
-- Dados adicionais de GeoLoc do Estabelecimento (Farmacia)
CO_MUNICIPIO_IBGE_EST

FROM DBDMBNAFAR.VW_DISPENSACAO
WHERE "NU_COMPETENCIA_DISPENSACAO" IS NOT NULL AND "NU_COMPETENCIA_DISPENSACAO" NOT LIKE -1
GROUP BY 
-- Localização
NU_COMPETENCIA_DISPENSACAO,NU_CATMAT,CO_GRUPO_FINANCIAMENTO,SG_PROGRAMA_SAUDE,DT_DISPENSACAO,CO_MUNICIPIO_IBGE_EST;